Bug 1225352 - [abrt] blivet-gui: ValueError: requested size 0 B must fall between minimum size 186 MiB and maximum size 16 TiB
Summary: [abrt] blivet-gui: ValueError: requested size 0 B must fall between minimum s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vojtech Trefny
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0530a6dcfa15c260ba0e4a93510...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-27 07:54 UTC by Vojtech Trefny
Modified: 2015-06-24 16:07 UTC (History)
6 users (show)

Fixed In Version: python-blivet-1.0.10-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-24 16:07:07 UTC


Attachments (Terms of Use)
File: backtrace (891 bytes, text/plain)
2015-05-27 07:54 UTC, Vojtech Trefny
no flags Details
File: blivet-gui-tb (216.25 KB, text/plain)
2015-05-27 07:54 UTC, Vojtech Trefny
no flags Details
File: blivet.log (161.59 KB, text/plain)
2015-05-27 07:54 UTC, Vojtech Trefny
no flags Details
File: description (978 bytes, text/plain)
2015-05-27 07:54 UTC, Vojtech Trefny
no flags Details
File: environ (2.03 KB, text/plain)
2015-05-27 07:54 UTC, Vojtech Trefny
no flags Details
File: program.log (53.59 KB, text/plain)
2015-05-27 07:54 UTC, Vojtech Trefny
no flags Details

Description Vojtech Trefny 2015-05-27 07:54:45 UTC
Description of problem:
1. Resize an LV.
2. Click on Undo.

Version-Release number of selected component:
blivet-gui-0.2.7

Additional info:
reporter:       libreport-2.5.1
blivet-gui.log: 
cmdline:        /bin/python2  blivet-gui
executable:     blivet-gui
hashmarkername: blivet-gui
kernel:         4.0.3-300.fc22.x86_64
other involved packages: python-blivet-1.0.9-1.fc22.noarch
product:        Fedora
release:        Fedora release 22 (Twenty Two)
type:           Python
version:        22

Truncated backtrace:
Traceback (most recent call last):
  File "/media/Projekty/blivet-gui/blivetgui/blivetgui.py", line 581, in actions_undo
    self.blivet_utils.blivet_cancel_actions(removed_actions)
  File "/media/Projekty/blivet-gui/blivetgui/utils.py", line 1202, in blivet_cancel_actions
    self.storage.devicetree.cancelAction(action)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 516, in cancelAction
    action.cancel()
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 778, in cancel
    self.device.format.targetSize = self.origSize
  File "/usr/lib/python2.7/site-packages/blivet/formats/fs.py", line 204, in _setTargetSize
    raise ValueError("requested size %s must fall between minimum size %s and maximum size %s" % (newsize, self.minSize, self.maxSize))
ValueError: requested size 0 B must fall between minimum size 186 MiB and maximum size 16 TiB

Comment 1 Vojtech Trefny 2015-05-27 07:54:47 UTC
Created attachment 1030384 [details]
File: backtrace

Comment 2 Vojtech Trefny 2015-05-27 07:54:50 UTC
Created attachment 1030385 [details]
File: blivet-gui-tb

Comment 3 Vojtech Trefny 2015-05-27 07:54:52 UTC
Created attachment 1030386 [details]
File: blivet.log

Comment 4 Vojtech Trefny 2015-05-27 07:54:53 UTC
Created attachment 1030387 [details]
File: description

Comment 5 Vojtech Trefny 2015-05-27 07:54:54 UTC
Created attachment 1030388 [details]
File: environ

Comment 6 Vojtech Trefny 2015-05-27 07:54:56 UTC
Created attachment 1030389 [details]
File: program.log

Comment 7 Vojtech Trefny 2015-05-27 08:22:06 UTC
Happens when cancelling ActionResizeFormat. Same problem with newest (rawhide) version of blivet.

Steps to reproduce with blivet:

>>> import blivet; b=blivet.Blivet(); b.reset()
>>> b.reset()
>>> sda1 = b.devicetree.getDeviceByName("sda1")
>>> sda1.format.updateSizeInfo()
>>> ac = blivet.deviceaction.ActionResizeFormat(sda1, blivet.size.Size("500 MiB"))
>>> b.devicetree.registerAction(ac)
>>> b.devicetree.cancelAction(ac)

Comment 8 Fedora Update System 2015-06-17 14:27:07 UTC
python-blivet-1.0.10-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-blivet-1.0.10-1.fc22

Comment 9 Fedora Update System 2015-06-21 00:15:37 UTC
Package python-blivet-1.0.10-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-blivet-1.0.10-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10386/python-blivet-1.0.10-1.fc22
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2015-06-24 16:07:07 UTC
python-blivet-1.0.10-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.